# -*- encoding: utf-8 -*-
# stub: discard 1.3.0 ruby lib

Gem::Specification.new do |s|
  s.name = "discard".freeze
  s.version = "1.3.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Hawthorn".freeze]
  s.bindir = "exe".freeze
  s.date = "2023-08-17"
  s.description = "Allows marking ActiveRecord objects as discarded, and provides scopes for filtering.".freeze
  s.email = ["john.hawthorn@gmail.com".freeze]
  s.files = [".github/ISSUE_TEMPLATE/bug-report.md".freeze, ".github/ISSUE_TEMPLATE/feature-proposal.md".freeze, ".github/dependabot.yml".freeze, ".github/workflows/test.yml".freeze, ".gitignore".freeze, ".rspec".freeze, ".travis.yml".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "CODE_OF_CONDUCT.md".freeze, "Gemfile".freeze, "LICENSE.txt".freeze, "README.md".freeze, "Rakefile".freeze, "bin/console".freeze, "bin/setup".freeze, "discard.gemspec".freeze, "lib/discard.rb".freeze, "lib/discard/errors.rb".freeze, "lib/discard/model.rb".freeze, "lib/discard/version.rb".freeze]
  s.homepage = "https://github.com/jhawthorn/discard".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "ActiveRecord soft-deletes done right".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<activerecord>.freeze, [">= 4.2", "< 8"])
  s.add_development_dependency(%q<bundler>.freeze, [">= 0"])
  s.add_development_dependency(%q<rake>.freeze, [">= 10.0"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.5.0"])
  s.add_development_dependency(%q<database_cleaner>.freeze, ["~> 1.5"])
  s.add_development_dependency(%q<with_model>.freeze, ["~> 2.0"])
  s.add_development_dependency(%q<sqlite3>.freeze, [">= 0"])
end

